Skip to main content
GET
List payments

Authorizations

Authorization
string
header
required

Swagger / Postman only: Client ID as username, Client secret as password. In Postman, set this once on the collection (Authorization → Basic Auth) so all requests inherit. For production server-to-server code, prefer X-OM-Auth-ID and X-OM-Auth-Key headers.

Query Parameters

startDate
string<date-time>

Inclusive start of payment-date range (required).

endDate
string<date-time>

Inclusive end of payment-date range (required).

searchFilter
string

Free-text search (client name, payment reference, bill/invoice/payment number).

paymentStatus
string

processing | completed | refunded | failed.

paymentMethod
string

card | bank | external | xero | quickbooks.

entityKey
string

Only payments for this client entity.

pageNumber
integer<int32>

1-based page index (1–10000). Default 1.

Response

OK

paymentID
integer<int32>
paymentNumber
string | null
billingID
integer<int32>
billNumber
string | null
externalInvoiceNumber
string | null
entityID
integer<int32> | null
entityKey
string<uuid> | null
clientName
string | null
currencyID
integer<int32>
amount
number<double>
appliedAmount
number<double>
fee
number<double> | null
paymentMethod
string | null
paymentStatus
string | null
paymentStatusName
string | null
paymentReference
string | null
paymentDate
string<date-time>
processedDate
string<date-time>
isRefunded
boolean
refundReference
string | null
refundReason
string | null
externalID
string | null
createdOn
string<date-time> | null
updatedOn
string<date-time> | null